[Buildroot] [PATCH 5/9] libgcrypt: specify where gpg-error-config is

Thomas Petazzoni thomas.petazzoni at free-electrons.com
Sun May 9 21:26:39 UTC 2010


libgcrypt depends on libgpg-error, but it needs to know where the
gpg-error-config utility is.

Signed-off-by: Thomas Petazzoni <thomas.petazzoni at free-electrons.com>
---
 package/libgcrypt/libgcrypt.mk |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

diff --git a/package/libgcrypt/libgcrypt.mk b/package/libgcrypt/libgcrypt.mk
index ef13de7..646ad83 100644
--- a/package/libgcrypt/libgcrypt.mk
+++ b/package/libgcrypt/libgcrypt.mk
@@ -12,7 +12,8 @@ LIBGCRYPT_INSTALL_TARGET = YES
 LIBGCRYPT_CONF_ENV = \
 	ac_cv_sys_symbol_underscore=no
 LIBGCRYPT_CONF_OPT = \
-	--disable-optimization
+	--disable-optimization \
+	--with-gpg-error-prefix=$(STAGING_DIR)/usr
 
 LIBGCRYPT_DEPENDENCIES = libgpg-error
 
-- 
1.6.3.3




More information about the buildroot mailing list